Name:      tnef
Version:   1.4.12
Release:   1
Summary:   Extract files from email attachments like WINMAIL.DAT

Group:     Applications/Archiving
License:   GPLv2+
# what about: src/ConvertUTF.* ?
# * Unicode, Inc. hereby grants the right to freely use the information
# ... Fedora-legal confirmed this to be the free Unicode license.
URL:       http://sourceforge.net/projects/tnef/
Source0:   http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:   tnef.sh
Patch0:    %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext
Requires: bash
Requires: gettext

%description
This application provides a way to unpack Microsoft MS-TNEF MIME attachments.
It operates like tar in order to unpack files of type "application/ms-tnef",
which may have been placed into the MS-TNEF attachment instead of being
attached separately.

Such files may have attachment names similar to WINMAIL.DAT


%prep
%setup -q
%patch0
chmod a-x THANKS


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_bindir}/
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}*

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%{_bindir}/%{name}
%{_bindir}/%{name}.sh
%{_mandir}/man1/%{name}.1*
/usr/bin/%{name}
/usr/bin/%{name}.sh


%changelog
* Thu Sep 18 2014 Michael Perzl <michael@perzl.org> - 1.4.12-1
- updated to versions 1.4.12

* Fri Aug 15 2014 Michael Perzl <michael@perzl.org> - 1.4.11-1
- updated to versions 1.4.11

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 1.4.10-1
- updated to versions 1.4.10

* Mon Apr 30 2012 Michael Perzl <michael@perzl.org> - 1.4.9-1
- updated to versions 1.4.9

* Tue Aug 09 2011 Michael Perzl <michael@perzl.org> - 1.4.8-1
- first version for AIX V5.1 and higher
